/* AFSControl */

#import <Cocoa/Cocoa.h>
#include <Security/Authorization.h>
#include <Security/AuthorizationTags.h>
#include <sys/param.h>

AuthorizationRef myAuthorizationRef;

@interface AFSControl : NSObject
{
    IBOutlet id BoxOutlet;
    IBOutlet id CellNameOutlet;
    IBOutlet id CellAliasOutlet;
    IBOutlet id CellServOutlet;
    IBOutlet id CellServViewOutlet;
    IBOutlet id MainWindowOutlet;
    IBOutlet id NextButtonOutlet;
    IBOutlet id OptionsOutlet;
    IBOutlet id OptionsViewOutlet;
    IBOutlet id ThisCellViewOutlet;
}
- (IBAction)NextAction:(id)sender;
- (IBAction)PreviousAction:(id)sender;
- (IBAction)QuitAction:(id)sender;

- (IBAction)FinishSheetDidEnd:(NSWindow *)sheet returnCode:(int)returnCode contextInfo:(void *)contextInfo;
- (IBAction)QuitSheetDidEnd:(NSWindow *)sheet returnCode:(int)returnCode contextInfo:(void *)contextInfo;
@end
